/**
 * Processor communication functions
 * 
 * @category    Protocol
 * @package     ATProcessor
 * @author      Sam Meredith <sam@aandtinstruments.com>
 * @version     0.1
 */

/**
 * Get the server's UT milliseconds since epoch
 */
function getServerMillis() {
    return $.ajax({
        type: 'POST',
        url: '/helpers.php',
        data: {action: 'getServerMillis'}
    });
}

/**
 * Prompt the processor to send page definitions to a specific display
 */
function setPageDefs(display) {
    return $.ajax({
        type: 'POST',
        url: '/helpers.php',
        data: {
            action: 'setPageDefs',
            display: display
        }
    });
}